#!/bin/bash
cd ..

if [ "$1" == "ps0" ];then
    echo "===================================ps0==================================="
    CUDA_VISIBLE_DEVICES=''  python letrain.py --model_name=unet --train_dir=/home/$USER/train/ehealth --data_dir=/nfsdata/wangpeng_data/data/ehealthdata --batch_size=2 --learning_rate=0.0001 --num_clones=1 --job_name='ps' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0 --learning_rate_decay_type='fixed' --optimizer='adam' --ps_worker_sync_interval=1
elif [ "$1" == "worker0" ];then
    echo "===================================worker0==================================="
     CUDA_VISIBLE_DEVICES=0   python letrain.py --model_name=unet --train_dir=/home/$USER/train/ehealth --data_dir=/nfsdata/wangpeng_data/data/ehealthdata --batch_size=2 --learning_rate=0.0001 --num_clones=1 --job_name='worker' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0 --learning_rate_decay_type='fixed' --optimizer='adam' --ps_worker_sync_interval=1
elif [ "$1" == "worker1" ];then
    echo "===================================worker1==================================="
    CUDA_VISIBLE_DEVICES=1   python letrain.py --model_name=unet --train_dir=/home/$USER/train/ehealth --data_dir=/nfsdata/wangpeng_data/data/ehealthdata  --batch_size=2 --learning_rate=0.0001 --num_clones=1 --job_name='worker' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=1 --learning_rate_decay_type='fixed' --optimizer='adam' --ps_worker_sync_interval=1
elif [ "$1" == "local" ];then
    echo "===================================local==================================="
    CUDA_VISIBLE_DEVICES=0 python letrain.py --model_name=unet --train_dir=/home/$USER/train/ehealth --batch_size=2 --learning_rate=0.0001 --num_clones=1 --learning_rate_decay_type='fixed' --optimizer='adam'
fi
