#!/bin/bash
cd ..

if [ "$1" == "ps0" ];then
    echo "===================================ps0======================================="
     CUDA_VISIBLE_DEVICES='' python letrain.py --train_dir=/home/$USER/train/smile --data_dir=/nfsdata/wangpeng_data/data/fmrcnndata/coco --task=smile --batch_size=128 --learning_rate=0.001 --model_name=fmrcnn --num_clones=1 --job_name='ps'  --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0
elif [ "$1" == "worker0" ];then
    echo "===================================worker0==================================="
    CUDA_VISIBLE_DEVICES=0 python letrain.py --train_dir=/home/$USER/train/smile --data_dir=/nfsdata/wangpeng_data/data/fmrcnndata/coco --task=smile --batch_size=128 --learning_rate=0.001 --model_name=fmrcnn --num_clones=1 --job_name='worker'  --ps_hosts='192.168.17.166:2278' --worker_hosts='192.168.17.166:2283,192.168.17.166:2284' --task_index=0
elif [ "$1" == "worker1" ];then
    echo "===================================worker1==================================="
    CUDA_VISIBLE_DEVICES=1 python letrain.py --train_dir=/home/$USER/train/smile --data_dir=/nfsdata/wangpeng_data/data/fmrcnndata/coco --task=smile --batch_size=128 --learning_rate=0.001 --model_name=fmrcnn --num_clones=1 --job_name='worker' --ps_hosts='192.168.17.166:2278' --worker_hosts='192.168.17.166:2283,192.168.17.166:2284' --task_index=1
elif [ "$1" == "local" ];then
    echo "===================================local==================================="
    CUDA_VISIBLE_DEVICES='' python letrain.py --train_dir=/home/$USER/train/smile   --randomize=False  --set_cfgs=0  --solver=None --task=smile --batch_size=128 --learning_rate=0.001 --model_name=faster_rcnn  --reader_def=./frcnn/read_frcnn_data.py --model_def=./frcnn/get_frcnn_loss.py --data_dir=/nfsdata/wangpeng_data/data/fmrcnndata/coco
fi