#!/bin/bash
cd ..

if [ "$1" == "ps0" ];then
    echo "===================================ps0==================================="
    CUDA_VISIBLE_DEVICES=''  python letrain.py --train_dir=/home/$USER/train/customdata_demo --data_dir=/nfsdata/share-read-only/datasets/ILSVRC2012/raw-data/custom_imagedata  --batch_size=64 --learning_rate=0.001 --model_name=inception_v3 --num_clones=1 --job_name='ps' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0 --data_format=raw_image
elif [ "$1" == "worker0" ];then
    echo "===================================worker0==================================="
    CUDA_VISIBLE_DEVICES=0   python letrain.py --train_dir=/home/$USER/train/customdata_demo --data_dir=/nfsdata/share-read-only/datasets/ILSVRC2012/raw-data/custom_imagedata --batch_size=64 --learning_rate=0.001 --model_name=inception_v3 --num_clones=1 --job_name='worker' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0 --data_format=raw_image
elif [ "$1" == "worker1" ];then
    echo "===================================worker1==================================="
    CUDA_VISIBLE_DEVICES=1   python letrain.py --train_dir=/home/$USER/train/customdata_demo --data_dir=/nfsdata/share-read-only/datasets/ILSVRC2012/raw-data/custom_imagedata --batch_size=64 --learning_rate=0.001 --model_name=inception_v3 --num_clones=1 --job_name='worker' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=1 --data_format=raw_image
elif [ "$1" == "local" ];then
    echo "===================================local==================================="
    CUDA_VISIBLE_DEVICES=0   python letrain.py --train_dir=/home/$USER/train/customdata_demo --data_dir=/nfsdata/share-read-only/datasets/ILSVRC2012/raw-data/custom_imagedata --batch_size=64 --learning_rate=0.001 --model_name=inception_v3 --num_clones=1 --task_index=0  --data_format=raw_image
fi
