#!/bin/bash
cd ..
if [ "$1" == "ps0" ];then
    echo "===================================ps0==================================="
    CUDA_VISIBLE_DEVICES='' python ./letrain.py --train_dir=/home/$USER/train/dcgan --data_dir=/nfsdata/wangpeng_data/data/mnist --batch_size=64 --model_name=dcgan --num_clones=1 --task_index=0 --ps_hosts='localhost:2258' --worker_hosts='localhost:2263,localhost:2264' --job_name='ps' --input_height=28 --output_height=28 --input_width=28 --output_width=28 --learning_rate=0.0002 --validate_every_n_steps=100 --sample_dir=/home/$USER/samples --optimizer=adam --adam_beta1=0.5 --opt_epsilon=1e-8
elif [ "$1" == "worker0" ];then
    echo "===================================worker0==================================="
    CUDA_VISIBLE_DEVICES=0 python ./letrain.py --train_dir=/home/$USER/train/dcgan --data_dir=/nfsdata/wangpeng_data/data/mnist --batch_size=64 --model_name=dcgan --num_clones=1 --task_index=0 --ps_hosts='localhost:2258' --worker_hosts='localhost:2263,localhost:2264' --job_name='worker' --input_height=28 --output_height=28 --input_width=28 --output_width=28 --learning_rate=0.0002 --validate_every_n_steps=100 --sample_dir=/home/$USER/samples --optimizer=adam --adam_beta1=0.5 --opt_epsilon=1e-8
elif [ "$1" == "worker1" ];then
    echo "===================================worker1==================================="
    CUDA_VISIBLE_DEVICES=1 python ./letrain.py --train_dir=/home/$USER/train/dcgan --data_dir=/nfsdata/wangpeng_data/data/mnist --batch_size=64 --model_name=dcgan --num_clones=1 --task_index=1 --ps_hosts='localhost:2258' --worker_hosts='localhost:2263,localhost:2264' --job_name='worker' --input_height=28 --output_height=28 --input_width=28 --output_width=28 --learning_rate=0.0002 --validate_every_n_steps=100 --sample_dir=/home/$USER/samples --optimizer=adam --adam_beta1=0.5 --opt_epsilon=1e-8
elif [ "$1" == "local" ];then
    echo "===================================local==================================="
    CUDA_VISIBLE_DEVICES=0 python ./letrain.py --train_dir=/home/$USER/train/dcgan --data_dir=/nfsdata/wangpeng_data/data/mnist --batch_size=64 --model_name=dcgan --num_clones=1 --task_index=0 --reader_def=./dcgan/get_data.py --model_def=./dcgan/get_loss.py --job_name='worker0' --input_height=28 --output_height=28 --input_width=28 --output_width=28 --learning_rate=0.0002 --validate_every_n_steps=100 --sample_dir=/home/$USER/samples --optimizer=adam --adam_beta1=0.5 --opt_epsilon=1e-8
fi
